# mkdepend.awk
# Emergency `make depend' script, because the standard one doesn't work
# (and is horribly slow).
# (C) 1997 David Given

BEGIN {
	n = 999999
	of = "depends.mk"
}

function dump() {
	printf oldfile ": " > of
	for (i in dep)
	{
		printf i " " > of
		delete dep[i]
	}
	printf "\n" > of
}

END {
	dump()
	print oldfile
}

/^#include|^@include/ {
		
	if (FNR < n)
	{
		if (n != 999999)
		{
			dump()
		}
		oldfile = FILENAME
		print oldfile
	}
	n = FNR
	f = $2
	if (gsub("\"", "", f) != 2)
	{
		next
	}
	
	if (f ~ /\.msg$|\.MSG$/)
		next
		
	dep[f] = 1
#	print FILENAME ": " f > "depends.mk"
}
