/* proc.h
 * Process definitions
 * (C) David Given 2000
 */
 
/* Minix executable file format */

enum {
	MINIX_MAGIC_COMBINED_ID = 0x04100301L,
	MINIX_MAGIC_SPLIT_ID = 0x04200301L
};

typedef struct MinixHeader_s {
	dword magic;
	dword headerlen;
	dword textlen;
	dword datalen;
	dword bsslen;
	dword _unused1;
	dword chmem;
	dword _unused2;
} MinixHeader;

/* Process structure */

#define PROC_MAGIC 0xFF00AADDL

typedef struct Proc_s {
	dword magic;
	word numfiledes;
	optr filedeslist;
} Proc;
